Package com.collibra.dgc.core.api.dto.workflow

# Class CancelWorkflowTasksRequest

Object
CancelWorkflowTasksRequest

All Implemented Interfaces:
  `Serializable`

public class CancelWorkflowTasksRequest extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CancelWorkflowTasksRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelWorkflowTasksRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CancelWorkflowTasksRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getReason()`
  The reason for the cancellation of the workflow instance.
  `List<UUID>`
  `getWorkflowTaskIds()`
  Required. The list of workflow task IDs to be cancelled.
  `int`
  `hashCode()`
  `boolean`
  `isSendNotification()`
  Required. Whether or not the user needs to be notified of the job completion.
  `void`
  `setReason(String reason)`
  The reason for the cancellation of the workflow instance.
  `void`
  `setSendNotification(boolean sendNotification)`
  Required. Whether or not the user needs to be notified of the job completion.
  `void`
  `setWorkflowTaskIds(List<UUID> workflowTaskIds)`
  Required. The list of workflow task IDs to be cancelled.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CancelWorkflowTasksRequest

    public CancelWorkflowTasksRequest()

- ## Method Details

  - ### builder

    public static CancelWorkflowTasksRequest.Builder builder()

  - ### isSendNotification

    public boolean isSendNotification()
    Required. Whether or not the user needs to be notified of the job completion.

  - ### getWorkflowTaskIds

    public List<UUID> getWorkflowTaskIds()
    Required. The list of workflow task IDs to be cancelled.

  - ### getReason

    public String getReason()
    The reason for the cancellation of the workflow instance.

  - ### setSendNotification

    public void setSendNotification(boolean sendNotification)
    Required. Whether or not the user needs to be notified of the job completion.

  - ### setWorkflowTaskIds

    public void setWorkflowTaskIds(List<UUID> workflowTaskIds)
    Required. The list of workflow task IDs to be cancelled.

  - ### setReason

    public void setReason(String reason)
    The reason for the cancellation of the workflow instance.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`